netatalk 4.5.0
Free and Open Source Apple Filing Protocol (AFP) Server
Loading...
Searching...
No Matches
TcpMetrics Struct Reference

`#include <afp_tcp_analytics.h>`

## Data Fields
uint32_t | server_quantum
int | tcp_send_buffer
int | tcp_recv_buffer
int | tcp_send_window
int | tcp_mss
int | tcp_congestion_window
int | tcp_slow_start_threshold
uint32_t | tcp_rtt
uint32_t | tcp_rtt_variance
int | tcp_retrans
int | tcp_total_retrans
int | tcp_reordering
int | tcp_lost
int | tcp_send_mss
int | tcp_recv_mss
int | tcp_adv_mss
int | tcp_recv_space
int | is_localhost

## Field Documentation

## ◆ is_localhost

int TcpMetrics::is_localhost

## ◆ server_quantum

uint32_t TcpMetrics::server_quantum

## ◆ tcp_adv_mss

int TcpMetrics::tcp_adv_mss

## ◆ tcp_congestion_window

int TcpMetrics::tcp_congestion_window

## ◆ tcp_lost

int TcpMetrics::tcp_lost

## ◆ tcp_mss

int TcpMetrics::tcp_mss

## ◆ tcp_recv_buffer

int TcpMetrics::tcp_recv_buffer

## ◆ tcp_recv_mss

int TcpMetrics::tcp_recv_mss

## ◆ tcp_recv_space

int TcpMetrics::tcp_recv_space

## ◆ tcp_reordering

int TcpMetrics::tcp_reordering

## ◆ tcp_retrans

int TcpMetrics::tcp_retrans

## ◆ tcp_rtt

uint32_t TcpMetrics::tcp_rtt

## ◆ tcp_rtt_variance

uint32_t TcpMetrics::tcp_rtt_variance

## ◆ tcp_send_buffer

int TcpMetrics::tcp_send_buffer

## ◆ tcp_send_mss

int TcpMetrics::tcp_send_mss

## ◆ tcp_send_window

int TcpMetrics::tcp_send_window

## ◆ tcp_slow_start_threshold

int TcpMetrics::tcp_slow_start_threshold

## ◆ tcp_total_retrans

int TcpMetrics::tcp_total_retrans

The documentation for this struct was generated from the following file:

- afp_tcp_analytics.h